/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IMethodPermission.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.xml.struct;

import java.io.Serializable;

/**
 * Interface for element message-destination.
 * @author Florent Benoit
 */
public interface IMessageDestination extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "message-destination";

    /**
     * @return the name of the message-destination.
     */
    String getName();

    /**
     * Sets the name of the message destination.
     * @param messageDestinationName the name of the message destination.
     */
    void setName(final String messageDestinationName);

    /**
     * @return the JNDI name of the message-destination.
     */
    String getMappedName();

    /**
     * Sets the JNDI name of the message destination.
     * @param mappedName the JNDI name of the message destination.
     */
    void setMappedName(final String mappedName);

}
